.TH gc l "10 December 1992"
.SH NAME
gc \- Gram's Commander
.SH SYNTAX
.B "gc "
[
.I "<path1>"
[
.I "<path2>"
]
]

.B "gc -D"

.SH DESCRIPTION
.I gc
presents the user with a two windows containing lists of the files in
the directories specified by the path arguments. If a path argument is missing,
the current directory is used for the corresponding window, unless the
.B GCDIR
environment variable is set. In the latter case,
.I gc
will attempt to read the default paths from the file
.B "$GCDIR/.gccfg".
.I gc
will also write this file upon exit. This allows the user to resume 
.I gc
with the same pair of directory paths last used.

The user can move through the list with the cursor keys, and
select/deselect files with the space bar. An arrow will indicate the
location of the cursor. Various actions are possible upon either the
current file (namely the one at which the cursor is positioned) or
upon the set of selected files in that directory.

.PP
.I gc
supports a number of commands. The actual commands may vary
from site to site (or from user to user). To find out the
list of commands that 
.I gc
supports at your site, press the help key (usually 
.B "?"
).
You can get a full dump of the configuration by invoking
.I gc
with the 
.B "-D"
option.

The following list is a sample of the built-in commands:

.TP 1.2i
.B "up and down arrow keys"
move in the direction of the arrow
.TP 1.2i
.B "Tab"
move the arrow cursor to the other directory window
.TP 1.2i
.B "<space>"
toggle selection of filename at cursor and move down to next one
.TP 1.2i
.B "a"
select all filenames
.TP 1.2i
.B "n"
deselect all filenames
.TP 1.2i
.B "i"
invert all selections
.TP 1.2i
.B "?"
display help message
.TP 1.2i
.B "<return>"
see below
.TP 1.2i
.B "q"
exit from Gram's Commander
.TP 1.2i
.B "+"
allow the user to enter an
.B "ed"
(1) regular expression; all files in the current window that
match the expression are selected
.TP 1.2i
.B "-"
similar to 
.B "+"
, but the matching files are deselected
.TP 1.2i
.B "/"
allow a literal string to be entered, which is used in an incremental
search to find a matching file name
.TP 1.2i
.B "^R"
completely repaint the screen
.TP 1.2i
.B "x"
invoke a user specified command with the current file as argument
.TP 1.2i
.B "X"
invoke a user specified command with the currently selected files as arguments
.TP 1.2i
.B "w"
invoke a user specified command with the current file as argument, and wait for
a keypress after execution before returning to
.I gc
.TP 1.2i
.B "W"
invoke a user specified command with the currently selected files as arguments,
and wait for a keypress after execution before returning to
.I gc
.TP 1.2i
.B "e"
invoke an editor with the current argument
.TP 1.2i
.B "v"
invoke a file viewer with the current argument
.TP 1.2i
.B "!"
let the user enter a command and execute it
.TP 1.2i
.B "f"
invokes
.B "file"
with the current argument and shows the results
.TP 1.2i
.B "s"
allows the sort order for the current window to be specified. The 
.B "s"
should be followed by a sort key identifier (one of
.B "n"
(name), 
.B "x"
(extension), 
.B "a"
(access time), 
.B "m"
(modification time), 
.B "u"
(user ID), or
.B "g"
(group ID)). If the sort key is in upper case, the sort order is reversed.

.SH NOTES
The edit command
.B "e"
will first examine the 
.B "EDITOR"
environment
variable to see which editor to invoke. If this is not
defined,
.I gc
defaults to
.I vi.

The view command
.B "v"
will first examine the 
.B "PAGER"
environment
variable to see which file viewer to invoke. If this is not
defined,
.I gc
defaults to
.I pg.

.I gc
has a number of inbuilt commands. These can be overridden
by specify a key/command configuration file in the 
.B "$GCDIR"
directory with the name
.B ".gckeydef"
.
The layout of this file is described in the
accompanying file
.B "gckeydef.doc"
.
If it contains a line with the identifier
.B "NODIRSELECT"
then
.I gc
will never select directory files.

Executing
.I gc
with a
.B "-D"
argument will cause 
.I gc
to output the default set of command assignments to the file 
.B "gckeydef.default"
.

.SH FILES

.B "$GCDIR/.gckeydef

.B "$GCDIR/.gccfg"

.B "gckeydef.default"

.SH SEE ALSO
The
.I ed
(1) editor.

.I regexp
(5)

.I pick
(l) a general argument selector

The documentation file 
.B "gckeydef.doc"

.SH AUTHOR
Graham Wheeler, Aztec Information Management, gram@aim1.aztec.co.za.


